MUCRoomParticipant Struct Reference

`#include <mucroomhandler.h>`

## Public Attributes

JID * | nick
MUCRoomAffiliation | affiliation
MUCRoomRole | role
JID * | jid
int | flags
std::string | reason
JID * | actor
std::string | newNick
std::string | status
JID * | alternate

## Detailed Description

Describes a participant in a MUC room.

Definition at line 35 of file mucroomhandler.h.

## Member Data Documentation

## actor

JID* actor

If the presence change is the result of an action of a room member, a pointer to the actor's JID is stored here, if the actor chose to disclose his or her identity. Examples: Kicking and banning. 0 if the identity is not disclosed.

Definition at line 57 of file mucroomhandler.h.

## affiliation

MUCRoomAffiliation affiliation

The participant's affiliation with the room.

Definition at line 43 of file mucroomhandler.h.

## alternate

JID* alternate

If `flags` contains UserRoomDestroyed, and if the user who destroyed the room specified an alternate room, this member holds a pointer to the alternate room's JID, else it is 0.

Definition at line 74 of file mucroomhandler.h.

## flags

int flags

ORed MUCUserFlag values. Indicate conditions like: user has been kicked or banned from the room. Also may indicate that this struct refers to this instance's user. (MUC servers send presence to all room occupants, including the originator of the presence.)

Definition at line 49 of file mucroomhandler.h.

## jid

JID* jid

Pointer to the occupant's full JID in a non-anonymous room or in a semi-anonymous room if the user (of gloox) has a role of moderator. 0 if the MUC service doesn't provide the JID.

Definition at line 45 of file mucroomhandler.h.

## newNick

std::string newNick

In case of a nickname change, this holds the new nick, while the nick member holds the old room nick (in JID form). `newNick` is only set if `flags` contains UserNickChanged. If `flags` contains UserSelf as well, a foregoing nick change request (using MUCRoom::setNick()) can be considered acknowledged. In any case the user's presence sent with the nick change acknowledgement is of type `unavailable`. Another presence of type `available` (or whatever the user's presence was at the time of the nick change request) will follow (not necessarily immediately) coming from the user's new nickname. Empty if there is no nick change in progress.

Definition at line 62 of file mucroomhandler.h.

## nick

JID* nick

Pointer to a JID holding the participant's full JID in the form `room@service/nick`.

Note
  The MUC server may change the chosen nickname. If the self member of this struct is true, one should check the resource of this member if the actual nickname is important.

Definition at line 37 of file mucroomhandler.h.

## reason

std::string reason

If the presence change is the result of an action where the actor can provide a reason for the action, this reason is stored here. Examples: Kicking, banning, leaving the room.

Definition at line 54 of file mucroomhandler.h.

## role

MUCRoomRole role

The participant's role with the room.

Definition at line 44 of file mucroomhandler.h.

## status

std::string status

If the presence packet contained a status message, it is stored here.

Definition at line 72 of file mucroomhandler.h.

The documentation for this struct was generated from the following file:

- mucroomhandler.h